[rhmessaging-commits] rhmessaging commits: r961 - in store/trunk/cpp: etc and 1 other directory.

rhmessaging-commits at lists.jboss.org rhmessaging-commits at lists.jboss.org
Thu Oct 4 10:12:08 EDT 2007


Author: nunofsantos
Date: 2007-10-04 10:12:07 -0400 (Thu, 04 Oct 2007)
New Revision: 961

Added:
   store/trunk/cpp/etc/
   store/trunk/cpp/etc/rhmd
Log:
add init script for rhmd, which calls qpidd with persistent storage enabled

Added: store/trunk/cpp/etc/rhmd
===================================================================
--- store/trunk/cpp/etc/rhmd	                        (rev 0)
+++ store/trunk/cpp/etc/rhmd	2007-10-04 14:12:07 UTC (rev 961)
@@ -0,0 +1,33 @@
+#!/bin/bash
+#
+# rhmd        Startup script for the Qpid messaging daemon with bdbstore enabled
+#
+
+### BEGIN INIT INFO
+# Provides: qpidd
+# Required-Start: $local_fs
+# Required-Stop: $local_fs
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: start or stop qpidd with persistent store
+# Description: Qpidd is an AMQP broker. It receives, stores, routes and forwards messages using the AMQP protocol.
+### END INIT INFO
+
+# chkconfig: - 85 15
+# description: Qpidd is an AMQP broker. It receives, stores, routes and forwards messages using the AMQP protocol.
+# processname: qpidd
+
+LIBBDBSTORE=libbdbstore.so.0
+
+# See how we were called.                                                                           
+case "$1" in
+  start|stop|restart|reload|status)
+        QPIDD_OPTIONS="-s $LIBBDBSTORE"
+        . /etc/rc.d/init.d/qpidd
+        exit $?
+        ;;
+  *)
+        echo 1>&2 $"Usage: $0 {start|stop|restart|condrestart|status}"
+        exit 1
+	;;
+esac


Property changes on: store/trunk/cpp/etc/rhmd
___________________________________________________________________
Name: svn:executable
   + *




More information about the rhmessaging-commits mailing list